Busy Plugin - Defect #242

opacity
03/04/2011 10:17 AM - Helpdesk Ayton

Status: Closed Start date: 03/04/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
It appears that the opacity does not change when another value (other then the default value of 0.5) is provided.

History

#1 - 03/04/2011 08:17 PM - Patrick Talbot

- Priority changed from Immediate to Normal

Could you tell me what version of the plugin you use?
On what version of Servoy? In Smart or Web client?
If Smart, what OS, what java version?

If Web client in what browser?

#2 - 03/07/2011 02:04 PM - Harjo Kompagnie

We have the same issue,
| think we are using the V2.1 (not the latest) I'm not sure, there is no .getVersion() method in the plugin
we are using Servoy 5.2.6 with Java 1.6_22 Windows

#3 - 03/07/2011 02:10 PM - Patrick Talbot

This is not the latest version, could you update?

And could you tell me:

On what version of Servoy? In Smart or Web client?
If Smart, what OS, what java version?

If Web client in what browser?

#4 - 03/07/2011 02:47 PM - Harjo Kompagnie

ah | read the wiki, and we are still using v1 | think....
about your other questions: smart client!!
Windows XP, (classic) java 1.6_22, Servoy 5.2.6

| liked the old (really old) plugin better. with better | mean, it was easier to wrap it around existing methods.
for example, we have a method now, which become a bit slow, Now, to embed, the busy plugin, it is a lot more work and you have to change your
existing code

the old plugin would simply wrap around it with:

try..

plugins.busy.busy('my process')
doMyMethod()

catch..

finalize ->plugins.busy.unblock

You could even do in my doMyMethod: plugins.busy.busy(Step 1 of 6) etc...etc..

All of that does not work anymore......
| know, it does web now, (which we dont use) But IMHO this new version made it much more complex than it was...

#5 - 03/07/2011 03:00 PM - Patrick Talbot

| will have a look in Smart with v2.1.1 - but there's little chance | will support older versions.

For the older being better, that's no use telling me: Servoy imposed a restricted threading model on the web client, without a callback it is not possible
to do it the old way any more.

#6 - 03/07/2011 03:11 PM - Helpdesk Ayton

on the Mac (Version 10.6.6) :
plugins.busy.getVersion() says 2.1.1
java -version says 1.6.0_22

Servoy says Version: 5.2.4 - build 1006

on Windows XP Professional Version 2002 Service Pack 3 :

plugins.busy.getVersion() says 2.1.1
java -version says 1.6.0_20
Servoy says Version: 5.2.6 - build 1011

Both are tested in Servoy Client

#7 - 03/07/2011 06:48 PM - Patrick Talbot

- Status changed from New to In Progress

Will be solved with v2.1.2 coming soon.

#8 - 03/07/2011 06:51 PM - Patrick Talbot

- Status changed from In Progress to Closed
